Page MenuHomePhabricator

Access additional details about the automatic translation
Closed, ResolvedPublic

Description

When a page is delivered through an external translation service, in addition to marking it as an automatic translation (T212202), we want to provide some additional details for those interested in learning more. In order to support this, this ticket proposes to show additional information as an overlay when the user clicks on the "Automatic translation" indicator.

The information will be delivered in the context of the external translation service, and it will include the following:

Automatic translation from <language-and-project-name>

This <project-name> content is translated and delivered to you by <translation-provider>.
[Check privacy & terms]

Access <project-name>
Use the “View original” option above to access the original content on <project-name> with additional reading and editing tools. You can help to improve this content anytime.
[Learn how you can contribute]

  • "Check privacy & terms" action will direct users to the page of the organization providing the translation service. For example, this is the page for Google.
  • "Learn how you can contribute" action will direct users to the special page on the target wiki that introduces the ways to contribute (T212300).
  • The "X" icon will close the overlay.

When the local article already exists
When the local article exists, a small change is made to the messaging:

...
Access <project-name>
Use the “View original” option to access the original content on <project-name> with additional reading and editing tools.
A community-created page for this topic already exists and you can help to improve it anytime.
...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2018, 6:49 PM
Pginer-WMF triaged this task as Medium priority.Dec 20 2018, 10:01 AM

Change 482290 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] WIP: Access additional details about the automatic translation

https://gerrit.wikimedia.org/r/482290

santhosh claimed this task.Jan 4 2019, 11:59 AM

@Pginer-WMF I took small deviation from the design - I used the existing MobileFrontend overlay feature to show this message, rather than writing our own new interface for this.

In my local wiki, this is like:

I hope that is ok.

@Pginer-WMF I took small deviation from the design - I used the existing MobileFrontend overlay feature to show this message, rather than writing our own new interface for this.
...

I hope that is ok.

yes. That seems the current standard component for this kind of modals, and reusing it is a good idea. So let's go with that one.

Change 482290 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Access additional details about the automatic translation

https://gerrit.wikimedia.org/r/482290

santhosh moved this task from In Review to Done on the ExternalGuidance board.Jan 18 2019, 5:41 AM
Pginer-WMF closed this task as Resolved.Feb 25 2019, 12:26 PM